hledger-lib-1.32.3: A library providing the core functionality of hledger

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Data.JournalChecks.Uniqueleafnames

Synopsis

- journalCheckUniqueleafnames :: Journal -> Either String ()

# Documentation

journalCheckUniqueleafnames :: Journal -> Either String () Source #

Check that all the journal's postings are to accounts with a unique leaf name. Otherwise, return an error message for the first offending posting.